# Hexo Minimalism Theme

<div align="right">
  <img src="https://img.shields.io/badge/-English-A31F34?style=for-the-badge" alt="english">
  <a title="zh-CN" href="README.md"><img src="https://img.shields.io/badge/-%E7%AE%80%E4%BD%93%E4%B8%AD%E6%96%87-545759?style=for-the-badge" alt="简体中文"></a>
</div>

[![Lint Status](https://github.com/f-dong/hexo-theme-minimalism/workflows/Test/badge.svg)](https://github.com/f-dong/hexo-theme-minimalism/actions/workflows/test.yml)
[![Lint Status](https://github.com/f-dong/hexo-theme-minimalism/workflows/Lint/badge.svg)](https://github.com/f-dong/hexo-theme-minimalism/actions/workflows/lint.yml)
[![NPM version](https://img.shields.io/npm/v/hexo-theme-minimalism?color=red&logo=npm&style=flat-square)](https://www.npmjs.com/package/hexo-theme-minimalism)
[![Github License](https://img.shields.io/github/license/f-dong/hexo-theme-minimalism.svg?style=flat-square)](https://github.com/f-dong/hexo-theme-minimalism/blob/main/LICENSE)
[![Node.js Version](https://img.shields.io/badge/node-%3E=12.0-success.svg?style=flat-square&logo=Node.js&longCache=true)](https://hexo.io)
[![Required Hexo version](https://img.shields.io/badge/hexo-%3E=5.0.0-blue?style=flat-square&logo=hexo)](https://hexo.io)

Minimalism is a simple and lightweight Hexo theme with dark and light mode support. You can view the quick start guide and documentation [here](https://minimalism.codeover.cn/docs/start).

![Preview Image](https://user-images.githubusercontent.com/40230452/189160566-c4f4070a-a64e-4843-81eb-7885c45f71c3.png)

## About Minimalism

Minimalism is a simple and lightweight Hexo theme with dark and light mode support. It only uses CSS and pure vanilla JavaScript, without any unnecessary third-party "render-blocking" libraries.

## Online Demo

https://www.codeover.cn

If you're also using Minimalism, feel free to [submit an issue](https://github.com/f-dong/hexo-theme-minimalism/issues/new?title=[Add%20demo%20site]) to add your blog link.

## Simplicity

Simplicity is key! When deciding to use Hexo for personal blogging, the main goal was to find a simple and clean design without the need for fancy appearance, unnecessary images, and colors. The goal is to have a blog that is focused on the content of the articles, without distracting the reader's attention with a cluttered user interface. While there are many beautiful themes available on the Hexo theme page, I ultimately decided to create my own theme.

## Lightweight

"Lightweight" means that the theme uses minimal design elements. There are fewer JavaScript and CSS files. Minimalism uses only CSS and pure native JS, and the theme itself doesn't depend on any third-party libraries. Here's an approximate performance report for a blog using the Minimalism theme:

![Performance Report](https://user-images.githubusercontent.com/40230452/235308517-e063cbb9-dbac-4934-bfd2-25e0689535aa.png)

## Documentation

Please read the [Minimalism theme documentation](https://minimalism.codeover.cn/docs/start) for theme installation and configuration. It's very easy to understand.

## Features

- Native JavaScript implementation, without jQuery
- Extremely fast performance
- Clean and elegant design for easy-to-read article content
- Responsive design that looks great on desktop, tablet, and mobile devices
- Unique category archive page
- [Gitalk](https://gitalk.github.io/) comment module support, with integrated Google Analytics
- Support for emoji expressions - write with markdown emoji syntax to generate corresponding expressions directly.
- Semantic tagging for easier SEO optimization and increased blog value


## Support

Feel free to submit a pull request or raise an issue if you encounter any problems.

If you have any questions, please email me at [fdong26@gmail.com](mailto:fdong26@gmail.com). I will reply as soon as possible.

If you like the theme, please give it a star on Github. Thank you!

## License

MIT
